# $Revision: 1.19 $, $Date: 2010/07/08 08:33:14 $
%define		pname	PyOpenAL
Summary:	Binding of OpenAL for Python
Summary(pl.UTF-8):	Interfejs OpenAL dla Pythona
Name:		python-%{pname}
Version:	0.1.6
Release:	6
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://download.gna.org/pyopenal/%{pname}-%{version}.tar.gz
# Source0-md5:	51992fc62df474614ea6eb724061f392
URL:		http://home.gna.org/oomadness/en/pyopenal/
BuildRequires:	OpenAL-devel
BuildRequires:	freealut-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
Requires:	python-pyvorbis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding of OpenAL for Python.

%description -l pl.UTF-8
Interfejs OpenAL dla Pythona.

%prep
%setup -q -n %{pname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/pyopenal/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/pyopenal
%{py_sitedir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyOpenAL.spec,v $
Revision 1.19  2010/07/08 08:33:14  arekm
- release 6

Revision 1.18  2009/08/18 18:45:26  arekm
- release 5

Revision 1.17  2009/08/14 00:07:24  arvenil
- release 4 (rebuild with OpenAL)

Revision 1.16  2009/08/12 21:05:08  arvenil
- BR: rpm-pythonprov
- BR: freealut-devel

Revision 1.15  2009/03/24 08:44:09  lisu
- rel 3

Revision 1.14  2009/03/24 08:43:25  lisu
- optimisation
- add .egg-info (python-devel >= 1:2.5)

Revision 1.13  2008/12/24 09:26:20  lisu
- better URL

Revision 1.12  2008/10/03 17:58:18  arekm
- release 2

Revision 1.11  2007-12-12 00:56:54  lisu
- use pname in Name

Revision 1.10  2007-07-05 21:31:19  lisu
- direct URL

Revision 1.9  2007/06/24 11:09:34  lisu
- 0.1.6
- python-PyOpenAL-build.patch no needed

Revision 1.8  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.6  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.5  2004/11/03 22:30:58  paladine
- formatting

Revision 1.4  2004/08/18 14:12:13  kolodko
- added patch0, fixed build

Revision 1.3  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.2  2004/06/14 20:44:49  zboczuch
- domain changed

Revision 1.1  2004/01/22 18:32:41  grzegol
- new

